Name:           python-satpy
Version:        0.55.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python package for earth-observing satellite data processing

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        GPL-3.0-or-later
URL:            https://github.com/pytroll/satpy
Source:         %{pypi_source satpy}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'satpy' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-satpy
Summary:        %{summary}

%description -n python3-satpy %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-satpy abi-l1b,acspo,amsr2-l1b,angles,animations,avhrr-l1b-eps,avhrr-l1b-gaclac,awips-tiled,cf,clavrx,dev,doc,filters,generic-image,geocat,geotiff,geoviews,gms5-vissr-l1b,goci2,holoviews,hrit-msg,hrpt,hsaf-grib,hvplot,insat-3d,modis-l1b,msi-safe,nc-nwcsaf-msg,ninjo,omps-edr,overlays,rayleigh,remote-reading,sar-c,satpos-from-tle,seviri-l1b-hrit,seviri-l1b-native,seviri-l1b-nc,seviri-l2-bufr,seviri-l2-grib,tests,units,vii-l1b,viirs-compact,viirs-l1b,viirs-sdr


%prep
%autosetup -p1 -n satpy-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x abi-l1b,acspo,amsr2-l1b,angles,animations,avhrr-l1b-eps,avhrr-l1b-gaclac,awips-tiled,cf,clavrx,dev,doc,filters,generic-image,geocat,geotiff,geoviews,gms5-vissr-l1b,goci2,holoviews,hrit-msg,hrpt,hsaf-grib,hvplot,insat-3d,modis-l1b,msi-safe,nc-nwcsaf-msg,ninjo,omps-edr,overlays,rayleigh,remote-reading,sar-c,satpos-from-tle,seviri-l1b-hrit,seviri-l1b-native,seviri-l1b-nc,seviri-l2-bufr,seviri-l2-grib,tests,units,vii-l1b,viirs-compact,viirs-l1b,viirs-sdr


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-satpy -f %{pyproject_files}


%changelog
%autochangelog